module.exports = {
  roots: ["<rootDir>/src"],
  transform: {
    "^.+\\.tsx?$": "ts-jest",
  },
  testRegex: "(/__tests__/.*|(\\.|/)(test|spec))\\.tsx?$",
  moduleFileExtensions: ["ts", "tsx", "js", "jsx", "json", "node"],
  moduleNameMapper: {
    "@main(.*)$": "<rootDir>/src/main/$1",
    "@test(.*)$": "<rootDir>/src/test/$1",
  },
  testEnvironment: "node",
};
